## ros-rolling-rmf-task-sequence 2.3.2

=== debian/changelog ===
ros-rolling-rmf-task-sequence (2.3.2-1jammy) jammy; urgency=high

  * Fix battery drain crash for GoToPlace (#94 <https://github.com/open-rmf/rmf_task/pull/94>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.3.1-1jammy) jammy; urgency=high

  * Added ``rmf_task_sequence`` to workflows and fixed codestyle (#91 <https://github.com/open-rmf/rmf_task/pull/91>)
  * Added ``requester`` and ``request_time`` fields to ``rmf_task::Task::Booking`` (#81 <https://github.com/open-rmf/rmf_task/pull/81>)
  * Contributors: Aaron Chong

 -- Grey <grey@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.3.0-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.2.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.1.3-1jammy) jammy; urgency=high

  * Fix battery consumption modeling for perform_action tasks (#76 <https://github.com/open-rmf/rmf_task/pull/76>)
  * Add missing buildtool_depend on cmake (#75 <https://github.com/open-rmf/rmf_task/pull/75>)
  * Contributors: Luca Della Vedova, Scott K Logan, Yadunund

 -- Grey <grey@openrobotics.org>  Sat, 16 Apr 2022 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.1.2-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 13 Nov 2022 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.1.1-1jammy) jammy; urgency=high

  * Add find_package/find_dependency for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Allow GoToPlace to know about expected future destinations (#61 <https://github.com/open-rmf/rmf_task/pull/61>)
  * Contributors: Grey, Marco A. Gutiérrez, Steven! Ragnarök

 -- Grey <grey@openrobotics.org>  Mon, 10 Oct 2022 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.1.0-1jammy) jammy; urgency=high

  * Allow GoToPlace to know about expected future destinations (#61 <https://github.com/open-rmf/rmf_task/pull/61>)

 -- Grey <grey@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-rolling-rmf-task-sequence (2.0.0-1jammy) jammy; urgency=high

  * Support flexible task definitions (#39 <https://github.com/open-rmf/rmf_task/pull/39>)
    * Provide an implementation for phase-sequence based tasks
    * Arbitrary phases can be implemented downstream
    * A simple event-wrapping phase implementation is provided
    * Events can be composed into a tree-structure of sequential events
    * Downstream users can implement arbitrary events

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000
