=== debian/control ===
Source: ros-rolling-rmf-task-sequence
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, nlohmann-json3-dev, ros-rolling-ament-cmake-catch2 <!nocheck>, ros-rolling-ament-cmake-uncrustify <!nocheck>, ros-rolling-nlohmann-json-schema-validator-vendor, ros-rolling-rmf-api-msgs, ros-rolling-rmf-task, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-task-sequence
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-rolling-nlohmann-json-schema-validator-vendor, ros-rolling-rmf-api-msgs, ros-rolling-rmf-task, ros-rolling-ros-workspace
Description: Implementation of phase-sequence tasks for the Robotics Middleware Framework
